Pagos de cuenta
GET https://qr.rejoicesoftware.in/api/payments/
curl --request GET \
--url 'https://qr.rejoicesoftware.in/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qr.rejoicesoftware.in/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
| api_documentation.parameters | Detalles | Descripción |
|---|---|---|
| página | api_documentation.optional api_documentation.int | api_documentation.filters.page |
| resultados_por_página | api_documentation.optional api_documentation.int | api_documentation.filters.results_per_page |
{
"data": [
{
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "example@example.com",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": 2026-06-04 23:29:04 },
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qr.rejoicesoftware.in/api/payments?&page=1",
"last": "https://qr.rejoicesoftware.in/api/payments?&page=1",
"next": null,
"prev": null,
"self": "https://qr.rejoicesoftware.in/api/payments?&page=1"
}
}
GET https://qr.rejoicesoftware.in/api/payments/{payment_id}
curl --request GET \
--url 'https://qr.rejoicesoftware.in/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qr.rejoicesoftware.in/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "example@example.com",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": 2026-06-04 23:29:04 }
}